Subject: bug#850: Daedalus->Excalibur upgrade - usrmerge fails on libsane1

From: sachy <[email-masked]>
Date: Sun, 9 Jun 2024 20:02:07 +0200

Dear Mark,

that can be it - I did not installed usrmerge on Daedalus manually and proceeded directly by updating sources.list.

So its my user error -> sorry for false report.

Totally agree on need to specify the correct steps in big, bold text in the Release notes. Lot of people will ignore/forget it anyway...

Regards,
sachy

V 20240609 1649, Mark Hindley napsal(a):
> Control: reassign -1 devuan-project
> Control: severity -1 critical
> Control: Document Daedalus->Excalibur usrmerge before upgrade in Release Notes
> 
> Sachy,
> 
> Thanks for taking the time to report this.
> 
> I have been unable to reproduce in a daedalus VM with libsane1
> installed. However, I suspect it is an ordering thing. I think users will need
> to
> 
>  1) apt install usrmerge/daedalus
>  2) sed -i s/daedalus/excalibur/ /etc/apt/sources.list
>  3) apt update
>  4) apt dist-upgrade
> 
> That is something we will need to specify clearly in the Release Notes.
> 
> But there are still merged-usr changes coming through from ceres which may
> simplify that process. When we get to the freeze, we can review further.
> 
> I don't think there is a bug in libsane1 as such, so reassigning.
> 
> Mark